apiVersion: networking.k8s.io/v1
kind: Ingress
metadata:
  name: api-ingress
  namespace: staging
  annotations:
    traefik.ingress.kubernetes.io/rule-type: PathPrefix
spec:
  ingressClassName: traefik
  rules:
  - host: api.staging.goodgo.vn
    http:
      paths:
      - path: /api/v1/auth
        pathType: Prefix
        backend:
          service:
            name: iam-service
            port:
              number: 5001
      - path: /api/v1/users
        pathType: Prefix
        backend:
          service:
            name: iam-service
            port:
              number: 5001
      - path: /api/v1/identity
        pathType: Prefix
        backend:
          service:
            name: iam-service
            port:
              number: 5001
      - path: /api/v1/access
        pathType: Prefix
        backend:
          service:
            name: iam-service
            port:
              number: 5001
      - path: /api/v1/governance
        pathType: Prefix
        backend:
          service:
            name: iam-service
            port:
              number: 5001
      - path: /api/v1/rbac
        pathType: Prefix
        backend:
          service:
            name: iam-service
            port:
              number: 5001
      - path: /api/v1/mfa
        pathType: Prefix
        backend:
          service:
            name: iam-service
            port:
              number: 5001
      - path: /api/v1/sessions
        pathType: Prefix
        backend:
          service:
            name: iam-service
            port:
              number: 5001
